Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000548Core InformEquations, units, arithmeticpublic2011-02-09 15:322014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000548: Printing routines for arithmetic values with units do not change units for large negative values
DescriptionThe attached source gives

- - - -
"500KB minus 1700KB" = filesize: -1200KB
- - - -

rather than the expected

- - - -
"500KB minus 1700KB" = filesize: -1.1719MB
- - - -
Minimal Source Text To Reproduce
There is a room.
Filesize is a kind of value. 1KB specifies a filesize. 1MB specifies a filesize scaled up by 1024.
When play begins:
	showme 500KB minus 1700KB.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000547closedgraham Printing routines for arithmetic values with units depend on scale factors being powers of ten 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-02-09 15:32 EmacsUser New Issue
2011-02-09 15:32 EmacsUser Issue generated from 0000547
2011-02-09 15:32 EmacsUser Relationship added related to 0000547
2011-02-12 18:41 jmcgrew Status new => acknowledged
2011-05-30 22:03 jmcgrew Status acknowledged => confirmed
2014-04-03 01:42 graham Status confirmed => resolved
2014-04-03 01:42 graham Resolution open => fixed
2014-04-03 01:42 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker